#
# To build against different kernel use: --define "kernel_version VERSION-RELEASE"
#

Name: ixgbe
Summary: Intel(R) 10GbE PCI Express Ethernet Connection driver
Version: 1.3.56.17
Release: 1%{?dist}
Epoch: 0
Source: %{name}-%{version}.tar.gz
Source1: %{name}-depmod.conf
Packager: Jaroslaw.Polok@cern.ch
Vendor: CERN, http://cern.ch/linux
License: GPL
ExclusiveArch: i686 x86_64 ia64
ExclusiveOS: linux
Group: System Environment/Kernel
URL: http://www.intel.com/network/connectivity/products/server_adapters.htm
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: ioatdma-kmod-common >= 0:2.15.4
Requires: %{name}-kmod
Provides: %{name}-kmod-common = %{?epoch:%{epoch}:}%{version}

Source1111: slc-kmodtool
BuildRequires: %kernel_module_package_buildreqs

%define upvar default
%ifarch i686
%define paevar PAE
%endif
%ifarch i686 ia64 x86_64
%define xenvar xen
%endif

#kernel_module_package -s %{SOURCE1111} -v %{kversion} -r %{krelease} %{?upvar} %{?xenvar} %{?paevar}
%kernel_module_package -s %{SOURCE1111} %{?upvar} %{?xenvar} %{?paevar}

%description
This package contains the Linux driver for the Intel(R) 10GbE PCI 
Express Family of Server Adapters.

These drivers are built for kernel %{kversion}-%{krelease}
and architecture %{_target_cpu}.

%prep
rm -rf %{buildroot}/*
%setup -n %{name}-%{version}/src
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
for flavor in %flavors_to_build ; do
   rm -rf obj/$flavor
   cp -r source obj/$flavor
   make -C %{kernel_source $flavor} M=$PWD/obj/$flavor
done



%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
for flavor in %flavors_to_build ; do
   make -C %{kernel_source $flavor} modules_install \
           M=$PWD/obj/$flavor
done

install -d -m0755 $RPM_BUILD_ROOT/%{_sysconfdir}/depmod.d/
install -m0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/depmod.d/%{name}.conf
install -d -m0755 $RPM_BUILD_ROOT/%{_mandir}/man7/
install -m0644 ../%{name}.7 $RPM_BUILD_ROOT/%{_mandir}/man7/

%clean

rm -rf %{buildroot}/*

%files 
%defattr(-,root,root)
%{_mandir}/man7/%{name}.*
%config(noreplace) %{_sysconfdir}/depmod.d/%{name}.conf

%doc ../COPYING
%doc ../README
%doc ../pci.updates

%changelog
* Wed May 27 2009 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.3.56.17
- updated to latest version available

* Wed Nov 05 2008 Jaroslaw Polok <Jaroslaw.Polok@cern.ch>
- repackaged
- packaging changed to DUP: http://driverupdateprogram.com/

* Tue Sep 30 2008 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> 
- initial release for SLC5.
- chnaged Intel provided specfile.

